

using System;

namespace slnBuilder
{
	
	//Concrete Builder
	class clsServerPC : clsPCBuilder
	{
		//implementando metodos de la clase padre
		public override void InsertarPlacaBase()
	    {
	        base.pc = new clsPC("Server");
	        base.pc["Placa base"] = "ASUS K8N-DL";
	    }

	    public override void InsertarProcesador()
	    {
	        base.pc["Procesador"] = "AMD Opteron";
	    }

	    public override void InsertarMemoria()
	    {
	        base.pc["Memoria"] = "Kingston 4Gb";
	    }

	    public override void InsertarTarjetaGrafica()
	    {
	        base.pc["T. Gáfica"] = "No";
	    }

	    public override void InsertarTarjetaSonido()
	    {
	        base.pc["T. Sonnido"] = "Integrada";
	    }
	}
}
