
using System;

namespace slnBuilder
{
	class MainClass
	{
		public static void Main(string[] args)
		{
			clsPCBuilder pcBuilder;
			clsDirector director = new clsDirector();
			
			Console.WriteLine("Presiona el número : \n 1 para construir un Desktop PC \n 2 para construir un Server PC");
			switch(Console.ReadLine())
			{
				case "1":
					pcBuilder = new clsDesktopPC();
					break;
				case "2":
					pcBuilder = new clsServerPC();
					break;
				default:
					Console.WriteLine("Opción Incorrecta.Intente de nuevo.");
					return;
			}
			
			director.ContruirPC(pcBuilder);
			pcBuilder.pc.Mostrar();
			
			//espera --usuario
			Console.ReadKey();
			
		}//main
	}
}