

using System;

namespace slnBuilder
{
	
	//Concrete Builder
	class clsDesktopPC :clsPCBuilder
	{
		//implementando metodos de la clase padre
		public override void InsertarPlacaBase()
	    {
	        base.pc = new clsPC("Desktop");
	        base.pc["Placa base"] = "ASUS a8n sli deluxe";
	    }

	    public override void InsertarProcesador()
	    {
	        base.pc["Procesador"] = "AMD Core 2 duo";
	    }

	    public override void InsertarMemoria()
	    {
	        base.pc["Memoria"] = "Kingston 2Gb";
	    }

	    public override void InsertarTarjetaGrafica()
	    {
	        base.pc["T. Gáfica"] = "GForce 8800gtx768-pcx";
	    }

	    public override void InsertarTarjetaSonido()
	    {
	        base.pc["T. Sonnido"] = "Pinnacle Sound Bridge";
	    }
		
	}//class
}
