

using System;
using System.Collections.Generic;

namespace slnBuilder
{
	
	//Product
	public class clsPC
	{
		private string tipo;
		private Dictionary<string,string> partes = new Dictionary<string,string>();
		
		//constructor
		public clsPC(string _tipo)
		{
			tipo = _tipo;
		}
		
		//Indexador para acceder a las partes
	    public string this[string parte]
	    {
	        get { return partes[parte]; }
	        set { partes[parte] = value; }
	    }
		
		//Metodo que muestra los datos
		public void Mostrar()
		{
			Console.WriteLine("\nConfiguración de {0}:\n", tipo);
	        foreach (string parte in partes.Keys)
	        {
	            Console.WriteLine("{0}: {1}", parte, partes[parte].ToString());
	        }
		}
	}
}
